
#ifndef MUSIC_HH_
#define MUSIC_HH_

#include <string>
#include <vector>
#include "../factory/chord.h"
#include "browse.hh"

struct	s_music
{
	unsigned int	music;
	bool			play;
};

#define MUSIC_COUNT_EXTENSIONS	6

int		music_init (struct s_music*);
void	music_play_defined (struct s_music*, const char*);
void	music_play_random (struct s_music*, const char*);
void	music_free (struct s_music*);
void	music_stop (struct s_music*);

#endif
