
#ifndef MOBILE_H_
#define MOBILE_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <math.h>

#define MOBILE_PI	3.1415926535f

enum	e_mobile_bounce
{
	MOBILE_BOUNCE_HORZ,
	MOBILE_BOUNCE_VERT
};

struct	s_mobile
{
	float	direction;
	float	speed;
	float	x;
	float	y;
};

void	mobile_bounce (struct s_mobile*, enum e_mobile_bounce);
void	mobile_compose (struct s_mobile*, float, float);
void	mobile_define (struct s_mobile*, float, float, float, float);
void	mobile_deviate (struct s_mobile*, float, float);
void	mobile_move (struct s_mobile*, float);
float	mobile_speed_x (struct s_mobile*);
float	mobile_speed_y (struct s_mobile*);

#ifdef __cplusplus
}
#endif

#endif
